aboutsummaryrefslogtreecommitdiff
path: root/reproduce/software/bash/git-post-checkout
diff options
context:
space:
mode:
authorMohammad Akhlaghi <mohammad@akhlaghi.org>2020-02-01 21:24:00 +0100
committerMohammad Akhlaghi <mohammad@akhlaghi.org>2020-02-01 21:24:00 +0100
commit35ed6cf0df743175688b49a4559793cb7f6e9d66 (patch)
tree2287830898c4a5af2e72f8a3c6435f4876b000fb /reproduce/software/bash/git-post-checkout
parent334af0e29a950873a19f958b0e47d847808e8910 (diff)
IMPORTANT: reproduce/software/bash renamed to reproduce/software/shell
Until now the shell scripts in the software building phase were in the `reproduce/software/bash' directory. But given our recent change to a POSIX-only start, the `configure.sh' shell script (which is the main component of this directory) is no longer written with Bash. With this commit, to fix that problem, that directory's name has been changed to `reproduce/software/shell'.
Diffstat (limited to 'reproduce/software/bash/git-post-checkout')
-rwxr-xr-xreproduce/software/bash/git-post-checkout66
1 files changed, 0 insertions, 66 deletions
diff --git a/reproduce/software/bash/git-post-checkout b/reproduce/software/bash/git-post-checkout
deleted file mode 100755
index f6366dc..0000000
--- a/reproduce/software/bash/git-post-checkout
+++ /dev/null
@@ -1,66 +0,0 @@
-#!@BINDIR@/bash
-#
-# The example hook script to store the metadata information of version
-# controlled files (with each commit) using the `metastore' program.
-#
-# Copyright (C) 2016 Przemyslaw Pawelczyk <przemoc@gmail.com>
-# Copyright (C) 2018-2020 Mohammad Akhlaghi <mohammad@akhlaghi.org>
-#
-# This script is taken from the `examples/hooks/pre-commit' file of the
-# `metastore' package (installed within the project, with an MIT license
-# for copyright). We have just changed the name of the `MSFILE' and also
-# set special characters for the installation location of meta-store so our
-# own installation is found by Git.
-#
-# Permission is hereby granted, free of charge, to any person obtaining a
-# copy of this software and associated documentation files (the
-# "Software"), to deal in the Software without restriction, including
-# without limitation the rights to use, copy, modify, merge, publish,
-# distribute, sublicense, and/or sell copies of the Software, and to permit
-# persons to whom the Software is furnished to do so, subject to the
-# following conditions:
-#
-# The above copyright notice and this permission notice shall be included
-# in all copies or substantial portions of the Software.
-#
-# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS
-# OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF
-# MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN
-# NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM,
-# DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR
-# OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE
-# USE OR OTHER DEALINGS IN THE SOFTWARE.
-
-
-# File containig the metadata and metastore executable.
-MSFILE=".file-metadata"
-MSBIN=@BINDIR@/metastore
-
-# If metastore is not installed, then ignore this script (exit with a
-# status of 0).
-if [ ! -f $MSBIN ]; then exit 0; fi
-
-# Delete all temporary files
-find @TOP_PROJECT_DIR@/ -name "*~" -type f -delete
-
-# Function to help in reporting a crash.
-exit_on_fail() {
- "$@"
- if [ $? -ne 0 ]; then
- echo "Failed to execute: $@" >&2
- exit 1
- fi
-}
-
-# Check if the metadata file exists.
-if [ ! -e "$MSFILE" ]; then
- echo "\"$MSFILE\" missing" >&2
- exit 1
-fi
-
-# Run metastore.
-exit_on_fail \
- $MSBIN -a -m -e -E -q -O @USER@ -G @GROUP@ -f "$MSFILE"
-
-# Return with a success code (0).
-exit 0